Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete a vault

DELETE/vaults/{vault_id}

Deletes a vault and all its credentials. See vaults.

Path ParametersExpand Collapse
vault_id: string
minLength0
maxLength1048576
ReturnsExpand Collapse
VaultDeleted object { id, deleted, object }

Confirmation that a vault was deleted.

id: string

The ID of the deleted vault.

minLength0
deleted: boolean

Whether the resource was deleted. Always true.

object: "vault.deleted"

The object type. Always vault.deleted.

Delete a vault

curl https://api.openai.com/v1/vaults/$VAULT_ID \
    -X DELETE \
    -H 'OpenAI-Beta: agents=v1' \
    -H "Authorization: Bearer $OPENAI_API_KEY"
{
  "id": "id",
  "deleted": true,
  "object": "vault.deleted"
}
Returns Examples
{
  "id": "id",
  "deleted": true,
  "object": "vault.deleted"
}